=== debian/changelog ===
uktrainplanner (0.1) unstable; urgency=low

  * Initial Release.

 -- Stewart Holmes <stewart@unknown>  Mon, 05 Apr 2010 23:46:50 +0100
