=== desktop/Makefile ===
#############################################################################
# Makefile for building: build/uktrainplanner
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Apr 5 23:03:18 2010
# Project:  ../qtprog.pro
# Template: app
# Command: /home/stewart/qt/qtsdk-2010.02/qt/bin/qmake -spec /home/stewart/qt/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile ../qtprog.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -I../../uktrainplanner -I/home/stewart/qt/qtsdk-2010.02/qt/include/QtCore -I/home/stewart/qt/qtsdk-2010.02/qt/include/QtGui -I/home/stewart/qt/qtsdk-2010.02/qt/include -Ibuild -I.
LINK          = g++
LFLAGS        = -m64 -Wl,-rpath,/home/stewart/qt/qtsdk-2010.02/qt/lib
LIBS          = $(SUBLIBS)  -L/home/stewart/qt/qtsdk-2010.02/qt/lib -lQtGui -L/home/stewart/qt/qtsdk-2010.02/qt/lib -L/usr/X11R6/lib64 -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/stewart/qt/qtsdk-2010.02/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = ../src/qtmain.cpp 
OBJECTS       = build/qtmain.o
DIST          = /home/stewart/qt/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		../qtprog.pro
QMAKE_TARGET  = uktrainplanner
DESTDIR       = build/
TARGET        = build/uktrainplanner

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../qtprog.pro  /home/stewart/qt/qtsdk-2010.02/qt/mkspecs/linux-g++-64/qmake.conf /home/stewart/qt/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/lib/libQtGui.prl \
		/home/stewart/qt/qtsdk-2010.02/qt/lib/libQtCore.prl
	$(QMAKE) -spec /home/stewart/qt/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile ../qtprog.pro
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/common/g++.conf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/common/unix.conf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/common/linux.conf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/qconfig.pri:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/debug.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/default_post.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/qt.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/moc.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/resources.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/uic.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/yacc.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/lex.prf:
/home/stewart/qt/qtsdk-2010.02/qt/lib/libQtGui.prl:
/home/stewart/qt/qtsdk-2010.02/qt/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /home/stewart/qt/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile ../qtprog.pro

dist: 
	@$(CHK_DIR_EXISTS) ../build/uktrainplanner1.0.0 || $(MKDIR) ../build/uktrainplanner1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../build/uktrainplanner1.0.0/ && $(COPY_FILE) --parents ../src/qtmain.cpp ../build/uktrainplanner1.0.0/ && (cd `dirname ../build/uktrainplanner1.0.0` && $(TAR) uktrainplanner1.0.0.tar uktrainplanner1.0.0 && $(COMPRESS) uktrainplanner1.0.0.tar) && $(MOVE) `dirname ../build/uktrainplanner1.0.0`/uktrainplanner1.0.0.tar.gz . && $(DEL_FILE) -r ../build/uktrainplanner1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


debian-all: debian-src debian-bin

debian-src:
	dpkg-buildpackage -S -r -us -uc -d

debian-bin:
	dpkg-buildpackage -b -r -uc -d

compiler_clean:
	-$(DEL_FILE) $(TARGET)

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

build/qtmain.o: ../src/qtmain.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/qtmain.o ../src/qtmain.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "build/$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
	-$(INSTALL_PROGRAM) /media/Data/uktrainplanner/data/uktrainplanner.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon/uktrainplanner.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 


install_service: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/dbus-1/services/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 
	-$(INSTALL_PROGRAM) /media/Data/uktrainplanner/data/uktrainplanner.service $(INSTALL_ROOT)/usr/share/dbus-1/services/


uninstall_service:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/dbus-1/services/uktrainplanner.service
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 


install_icon64: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ 
	-$(INSTALL_PROGRAM) /media/Data/uktrainplanner/data/64x64/uktrainplanner.png $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/


uninstall_icon64:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/uktrainplanner.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ 


install:  install_target install_desktop install_service install_icon64  FORCE

uninstall: uninstall_target uninstall_desktop uninstall_service uninstall_icon64   FORCE

FORCE:
