=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: uktrainplanner
 Section: user/navigation
 Priority: extra
-Maintainer: Stewart Holmes <stewart@unknown>
-Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5), libgconf2-dev
+Maintainer: Stewart Holmes <stewart@stewartholmes.com>
+Build-Depends: debhelper (>= 5), libqt4-dev, libgconf2-dev
 Standards-Version: 3.7.3
-Homepage: <insert the upstream URL, if relevant>
+Homepage: http://www.stewartholmes.com
 
 Package: uktrainplanner
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-xmlpatterns
 Description: <insert up to 60 chars description>
  <insert long description, indented with spaces>
 # XB-Maemo-Icon-26 field contains the application icon file encoded in
